Your Firefox is critically out of date. An update is required to stay secure

Post Reply
marc.bau
Posts: 20
Joined: Wed Jul 20, 2011 2:08 pm

Your Firefox is critically out of date. An update is required to stay secure

Post by marc.bau » Tue Jul 31, 2018 2:22 am

We are on the latest version... are you able to create an updated package PLEASE?

Post Reply